glassfish
  1. glassfish
  2. GLASSFISH-20985

Generated JNLP for app clients should allow customization of Java version

    Details

    • Type: Bug Bug
    • Status: Open
    • Priority: Major Major
    • Resolution: Unresolved
    • Affects Version/s: 4.0, 4.1
    • Fix Version/s: None
    • Component/s: standalone_client
    • Labels:
      None

      Description

      As part of the built-in support for launching app clients using Java Web Start, GlassFish allows application developers to specify customizations and additions to the generated JNLP document which launches the app client. Some parts of the generated JNLP are fixed by GlassFish, though.

      In particular, GlassFish currently specifies that the required Java version used by Java Web Start should be 1.6+. If the client system has both 1.6 and 1.7 installed there is no way for the developer of the app client to specify to use 1.7, for example.

        Activity

        There are no comments yet on this issue.

          People

          • Assignee:
            Tim Quinn
            Reporter:
            Tim Quinn
          • Votes:
            1 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

            • Created:
              Updated: